import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  patientId: z.number().int(),
  filename: z.string(),
  originalName: z.string(),
  mimeType: z.string(),
  fileSize: z.bigint(),
  filePath: z.string(),
  uploadedAt: z.coerce.date().optional(),
  updatedAt: z.coerce.date().optional()
}).strict();
export const PatientDocumentCreateManyInputObjectSchema: z.ZodType<Prisma.PatientDocumentCreateManyInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientDocumentCreateManyInput>;
export const PatientDocumentCreateManyInputObjectZodSchema = makeSchema();
